<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace app\commands;

use yii\console\Controller;
use app\models\Mails;
use Yii;

/**
 * This command echoes the first argument that you have entered.
 *
 * This command is provided as an example for you to learn how to create console commands.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class MailerController extends Controller
{

    public function actionSend()
    {
        foreach(Mails::find()->where(['process' => 0])->limit(20)->all() as $mail){
            $mail->updateAttributes(['process' => 1]);
            // try{
                Yii::$app->mailer->compose('main', ['content' => $mail->text])
                    ->setTo($mail->email)
                    ->setFrom([Yii::$app->params['adminEmail'] => Yii::$app->name])
                    ->setSubject($mail->title)
                    ->send();
                // $mail->delete();
            // }
            // catch(\Exception $e){
                // $mail->updateAttributes(['process' => 0]);
            // }
        }
    }

}
